<?php
namespace Datec\DatecJobmarket\ViewHelpers;

/**
 * Wrapper-ViewHelper for PHP in_array();
 * 
 * @author Philipp
 *
 */
class InArrayViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper {
	
	/**
	 * Checks for value in array
	 * 
	 * @param mixed $needle
	 * @param mixed $haystack preferably array, but accepts comma-seperated string also
	 * @return boolean
	 */
	public function render($needle, $haystack) {
		if (is_string($haystack)) {
			$haystack = \TYPO3\CMS\Core\Utility\GeneralUtility::trimExplode(',', $haystack);
		}
		if (is_array($haystack)) {
			return in_array($needle, $haystack);
		}
		return FALSE;
	}
}