<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tx_datecjobmarket_domain_model_jobentry'] = array(
	'ctrl' => $TCA['tx_datecjobmarket_domain_model_jobentry']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'hidden, exportable, starttime, endtime, beginfrom, limitedto, jobtype, title, information, jobgroups, qualifications, contact, facility, facility_type, worktime, workarea, worktime_type, street, zipcode, city, phone1, phone2, fax, email, password',
	),
	'types' => array(
		'1' => array('showitem' => 'hidden;;1, exportable, beginfrom, limitedto, jobtype, title, information;;;richtext[]:rte_transform[mode=ts], jobgroups, qualifications, contact, facility, facility_type, worktime_type, workarea, street, zipcode, city, phone1, phone2, fax, email, password,--div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access, starttime, endtime'),
	),
	'palettes' => array(
		'1' => array('showitem' => ''),
	),
	'columns' => array(
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'beginfrom' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.beginfrom',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'limitedto' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.limitedto',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'jobtype' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.jobtype',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.jobtype.1', 1),
					array('LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.jobtype.2', 2),
				),	
				'size' => 1,
				'minitems' => 0,
				'maxitems' => 1,					
				'eval' => 'int,required'
			),
		),
		'title' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.title',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'information' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.information',
			'config' => array(
				'type' => 'text',
				'cols' => '30',
				'rows' => '5',
				'wizards' => array(
					'_PADDING' => 2,
					'RTE' => array(
						'notNewRecords' => 1,
						'RTEonly'       => 1,
						'type'          => 'script',
						'title'         => 'Full screen Rich Text Editing|Formatteret redigering i hele vinduet',
						'icon'          => 'wizard_rte2.gif',
						'script'        => 'wizard_rte.php',
					)
				)
			),
		),
		'jobgroups' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.jobgroups',
			'config' => array(
				'type'          => 'group',
			    'internal_type' => 'db',
			    'foreign_table' => 'tx_datecjobmarket_domain_model_jobgroup',
			    'allowed'       => 'tx_datecjobmarket_domain_model_jobgroup',
			    'MM'            => 'tx_datecjobmarket_domain_model_jobentry_jobgroup_mm',				
				'minitems' => 1,
				'maxitems' => 999,
			),
		),			
		'qualifications' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.qualifications',
			'config' => array(
				'type'          => 'group',
			    'internal_type' => 'db',
			    'foreign_table' => 'tx_datecjobmarket_domain_model_qualification',
			    'allowed'       => 'tx_datecjobmarket_domain_model_qualification',
			    'MM'            => 'tx_datecjobmarket_domain_model_jobentry_qualification_mm',				
				'minitems' => 0,
				'maxitems' => 999,
			),
		),
		'contact' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.contact',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'facility' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.facility',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'facility_type' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.facilityType',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('',0),
				),
				'foreign_table' => 'tx_datecjobmarket_domain_model_facilitytype',
				'foreign_table_where' => ' ORDER BY tx_datecjobmarket_domain_model_facilitytype.sorting',
				'foreign_label' => 'name',
				'size' => 1,
				'minitems' => 0,
				'maxitems' => 1,
			),
		),
		'worktime' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.worktime',
			'config' => array(
					'type' => 'input',
					'size' => 30,
					'eval' => 'trim'
			),
		),
		'workarea' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.workarea',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		
		'worktime_type' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.worktimeType',
			'config' => array(
				'type' => 'select',
				'items' => array(
					array('',0),
				),
				'foreign_table' => 'tx_datecjobmarket_domain_model_worktimetype',
				'foreign_table_where' => ' ORDER BY tx_datecjobmarket_domain_model_worktimetype.sorting',
				'foreign_label' => 'name',
				'size' => 1,
				'minitems' => 0,
				'maxitems' => 1,
			),
		),
		'street' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.street',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'zipcode' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.zipcode',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'city' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.city',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'phone1' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.phone1',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'phone2' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.phone2',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'fax' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.fax',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim'
			),
		),
		'email' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.email',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'password' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.password',
			'config' => array(
					'type' => 'input',
					'size' => 30,
					'eval' => 'trim,required,password'
			),
		),
		'exportable' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:datec_jobmarket/Resources/Private/Language/locallang.xlf:tx_datecjobmarket.jobentry.exportable',
			'config' => array(
				'type' => 'check',
			),
		),
	),
);

?>